net.minecraft.server.(class)? (BuildTools not giving NMS a version package)

Discussion in 'Spigot Plugin Development' started by Otvm, Aug 24, 2017.

  1. I have no idea why, but when I try to use BuildTools, NMS never has a version package. What I mean by this: "net.minecraft.server.(class)", not what it should be, "net.minecraft.server.(version).(class)". I have tried it multiple times and it still gives me the same package structure, which is strange since it does not seem to do that to anyone else. If you have an idea of how I can fix this, please tell me. It compiles well, but the actual server file does not seem to agree.
     

    Attached Files:

    #1 Otvm, Aug 24, 2017
    Last edited: Aug 24, 2017
  2. BuildTools doesn't use the version in package name. It is replaced by maven when compiling the plugin.